FROM python:3.6

ENV PYTHONUNBUFFERED 1

ENV APP_ROOT /project

WORKDIR ${APP_ROOT}

RUN apt-get update

RUN apk add gcc musl-dev python3-dev libffi-dev openssl-dev cargo

RUN pip3 install -U pip

RUN pip install cryptography --no-binary cryptography

COPY requirements.txt ${APP_ROOT}/requirements.txt

RUN pip3 install -r ${APP_ROOT}/requirements.txt

# Set the working directory to /app
WORKDIR ${APP_ROOT}

# Copy the current directory contents into the container at /app
ADD . ${APP_ROOT}

RUN chmod 775 -R ${APP_ROOT}

CMD  ['python3 manage.py collectstatic --noinput', '&&', '/bin/sh','-c','python manage.py runserver']
